PUT Api/InspectionSvlOneGroup/{id}
URI Example
PUT Api/InspectionSvlOneGroup/{id}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
InspectionSvlOneGroupBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| WithoutPreventiveConservationYearOne | integer |
None. |
|
| WithoutPreventiveConservationYearTwo | integer |
None. |
|
| WithoutPreventiveConservationYearThree | integer |
None. |
|
| WithoutPreventiveConservationYearFour | integer |
None. |
Request Formats
application/json, text/json, application/hal+json
-
{ "withoutPreventiveConservationYearOne": 1, "withoutPreventiveConservationYearTwo": 1, "withoutPreventiveConservationYearThree": 1, "withoutPreventiveConservationYearFour": 1 }
Resource Description
InspectionSvlOneGroupResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| InspectionId | integer |
None. |
|
| GroupCode | integer |
None. |
|
| DamageScaleId | integer |
None. |
|
| RiskScaleId | integer |
None. |
|
| ClassificationScaleId | integer |
None. |
|
| ConditionWeightedClassification | integer |
None. |
|
| ConditionWeightingFactor | integer |
None. |
|
| WithoutPreventiveConservationYearOne | integer |
None. |
|
| WithoutPreventiveConservationYearTwo | integer |
None. |
|
| WithoutPreventiveConservationYearThree | integer |
None. |
|
| WithoutPreventiveConservationYearFour | integer |
None. |
|
| IsBlocked | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "inspectionId": 2, "groupCode": 3, "damageScaleId": 1, "riskScaleId": 1, "classificationScaleId": 1, "conditionWeightedClassification": 1, "conditionWeightingFactor": 1, "withoutPreventiveConservationYearOne": 1, "withoutPreventiveConservationYearTwo": 1, "withoutPreventiveConservationYearThree": 1, "withoutPreventiveConservationYearFour": 1, "isBlocked": true, "updateDate": "2026-10-29T13:06:00.320308+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }